#ifndef _NEW_DB_H
#define _NEW_DB_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../CSockSrvr/CSockSrvr.H"

#include "../Dialogs/CStatusDlg.H"

#include "../../SharedClasses/SQLClass/cSQL.H"
#include "../../SharedClasses/SQLClass/cRecordSet.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool CreateNewDB(CSQL *lpMySQL, char *sDBName);
bool SetupNewClient(char *sClientDBFileName, char *sDBO, char *sDBName, bool bImportStructure,
					bool bImportData, bool bDropImportTable, CStatusDlg *lpDlg);

bool RestoreDBForImport(CSQL *lpMySQL, char *sClientDBFileName, char *sDBName);
bool ImportDBStructure(CSQL *lpMySQL, char *sDBO, char *sDBName, bool bImportData, CStatusDlg *lpDlg);
bool CreateNewDBFromDBCreationScript(CSQL *lpMySQL, CSockSrvr *pSockSrvr, int iClient, char *sFileName);

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
